Name:           python-django-threadedcomments
Version:        1.2
Release:        1%{?dist}
Summary:        A simple yet flexible threaded commenting system for Django

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/django-threadedcomments
Source:         http://pypi.python.org/packages/source/d/django-threadedcomments/django-threadedcomments-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools-devel 
Requires:       python-django

Provides: django-threadedcomments = %{version}-%{release} 
# Because of the renaming mechanism, the next should stay forever in this package.
Obsoletes: django-threadedcomments < 0.5.3-5 

%description
Django-threadedcomments is a Django application which allows for the 
simple creation of a threaded commenting system. It is flexible as well, 
partly due to its use of the same facilities that any other Django 
application would use.

%prep
%setup -q -n django-threadedcomments-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%{python_sitelib}/threadedcomments
%{python_sitelib}/django_threadedcomments-%{version}-py?.?.egg-info
%doc LICENSE.txt README.rst CHANGELOG.rst

%changelog
* Tue Apr 17 2018 Luis Bazan <lbazan@fedoraproject.org> - 1.2-1
- New upstream version

* Tue Feb 04 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.9.0-2
- fix obs_ver 

* Wed Aug 14 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.9.0-1
- New Upstream Version
- remove docs that are not in directory
- changes two docs format to rst

* Wed May 08 2013 Matthias Runge <mrunge@redhat.com> - 0.5.3-8
- change requirement to python-django14 (rhbz#950564)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Domingo Becker <domingobecker@gmail.com> - 0.5.3-5
- Added a more specific files section.
- Removed first line.
- Removed unnecessary BuildRequires python-django.
- Changed BuildRequires from python-devel to python2-devel.
- Fixed release number.

* Tue May 29 2012 Domingo Becker <domingobecker@gmail.com> - 0.5.3-4
- Removed BuildRoot, clean, defattr and rm -rf buildroot.

* Sun May 27 2012 Domingo Becker <domingobecker@gmail.com> - 0.5.3-3
- Package rename to python-django-threadedcomments. Please read
  https://fedoraproject.org/wiki/User:Bkabrda/Django_rename

* Mon Nov 08 2010 Domingo Becker <domingobecker@gmail.com> - 0.5.3-2
- new doc section excluding binary file ._pinax.txt from docs directory
- new description
- BuildRequires added Django.
- fixed changelog version of the previous one.

* Mon Sep 27 2010 Domingo Becker <domingobecker@gmail.com> - 0.5.3-1
- Initial RPM release

